#include <bits/stdc++.h> 
#define f first
#define s second
#define pb push_back
#define mp make_pair

using namespace std;
typedef pair<int, int> pi;
typedef long long ll;
typedef pair<ll, ll> pll;

bool cmp(string a, string b)
{
	return a > b;
}

int main()
{
	ios::sync_with_stdio(false);	
	cin.tie(0);
	
	string niz[3];
	for(int i = 0; i < 3; i++) cin >> niz[i];
	sort(niz, niz+3, cmp);
	for(int i = 0; i < 3; i++) cout << niz[i];
	return 0; 
}